devtools: check prefix for libraries patches

Message ID 20211020091415.7010-1-david.marchand@redhat.com (mailing list archive)
State Accepted, archived
Delegated to: Thomas Monjalon
Headers
Series devtools: check prefix for libraries patches |

Checks

Context Check Description
ci/checkpatch success coding style OK
ci/github-robot: build success github build: passed
ci/iol-spell-check-testing warning Testing issues
ci/iol-broadcom-Functional success Functional Testing PASS
ci/iol-aarch64-compile-testing success Testing PASS
ci/iol-broadcom-Performance success Performance Testing PASS
ci/iol-x86_64-compile-testing success Testing PASS
ci/iol-x86_64-unit-testing success Testing PASS
ci/iol-intel-Performance success Performance Testing PASS
ci/iol-intel-Functional fail Functional Testing issues
ci/Intel-compilation success Compilation OK
ci/intel-Testing success Testing PASS
ci/iol-mellanox-Performance success Performance Testing PASS

Commit Message

David Marchand Oct. 20, 2021, 9:14 a.m. UTC
  The convention in DPDK is to directly use library names as prefix,
without a lib/.

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
 devtools/check-git-log.sh | 6 ++++++
 1 file changed, 6 insertions(+)
  

Comments

Thomas Monjalon Nov. 26, 2021, 10:12 a.m. UTC | #1
20/10/2021 11:14, David Marchand:
> The convention in DPDK is to directly use library names as prefix,
> without a lib/.
> 
> Signed-off-by: David Marchand <david.marchand@redhat.com>

Applied, thanks.
  

Patch

diff --git a/devtools/check-git-log.sh b/devtools/check-git-log.sh
index 9988bf863d..475f2464ab 100755
--- a/devtools/check-git-log.sh
+++ b/devtools/check-git-log.sh
@@ -89,6 +89,12 @@  bad=$(for commit in $commits ; do
 done | sed 's,^,\t,')
 [ -z "$bad" ] || { printf "Wrong headline prefix:\n$bad\n" && failure=true;}
 
+# check headline prefix for libraries
+bad=$(echo "$headlines" | grep --color=always \
+	-e '^lib/' \
+	| sed 's,^,\t,')
+[ -z "$bad" ] || { printf "Wrong headline prefix:\n$bad\n" && failure=true;}
+
 # check headline label for common typos
 bad=$(echo "$headlines" | grep --color=always \
 	-e '^example[:/]' \